Subject: Re: linux-next: Signed-off-by missing for commit in the rcu tree

From: Willy Tarreau <[email-masked]>
Date: Fri, 9 Jun 2023 11:24:58 +0200

On Fri, Jun 09, 2023 at 12:08:04PM +0800, Zhangjin Wu wrote:
> Hi, Stephen, Willy, Thomas, Paul
> 
> > Hi all,
> > 
> > Sorry, the subject should have been "linux-next: fixes tag needs work
> > in rcu tree".
> > 
> > On Fri, 9 Jun 2023 08:27:22 +1000 Stephen Rothwell <[email-masked]> w=
> > rote:
> > >
> > > In commit
> > >=20
> > >   df772c12508a ("selftests/nolibc: syscall_args: use generic __NR_statx")
> > >=20
> > > Fixes tag
> > >=20
> > >   Fixes: 8e3ab529bef9 ("tools/nolibc/unistd: add syscall()")
> > >=20
> > > has these problem(s):
> > >=20
> > >   - Target SHA1 does not exist
> > >=20
> > > Maybe you meant
> > >=20
> > > Fixes: 6bff2a1e97e3 ("tools/nolibc/unistd: add syscall()")
> 
> Thanks, just checked the rcu/next branch of Paul, the commit is really the one
> you corrected:
> 
>     Fixes: 6bff2a1e97e3 ("tools/nolibc/unistd: add syscall()")
> 
> Willy, this happened may be because of the 'int' to 'long' fixup merged to the
> old "tools/nolibc/unistd: add syscall()" commit, I forgot the check of this
> change in my patch.

I was very careful about squashing the patches that mentioned commit IDs
that were not merged yet (since we don't want to merge incomplete patches),
but apparently missed this one :-/

> Btw, perhaps it is possible to merge this typo fixup (tools/nolibc: fix up typo
> _sycall_narg -> _syscall_narg) [1] to this commit too:
> 
>     6bff2a1e97e3 ("tools/nolibc/unistd: add syscall()")
> 
> And then update the new 'Fixes' tag in this patch:
> 
>     df772c12508a ("selftests/nolibc: syscall_args: use generic __NR_statx")
> 
> Or even merge both of them to the first one, and eventually, no Fixes lines
> required.
> 
> As a summary, the following two fixes:
> 
>     df772c12508a ("selftests/nolibc: syscall_args: use generic __NR_statx")
> 
>     not merged   ("tools/nolibc: fix up typo _sycall_narg -> _syscall_narg"), see [1]
> 
> are for this one:
> 
>     6bff2a1e97e3 ("tools/nolibc/unistd: add syscall()")
> 
> Merging both of them to the above one may be a choice ;-)

Agreed. I'll see off-line with Paul how to best proceed.

Thanks,
Willy